/* ipatmlookup.c - utility for ip/atm mapping lookup */

/* Written 1998 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef LOOKUP_H
#define LOOKUP_H

#define NAME_LEN 64

extern int ip_version;

struct ipatment {
  char name[NAME_LEN];
  char ipaddr[INET6_ADDRSTRLEN];
  u_char prefix[PREFIX_LEN];
  u_char esi[ESI_LEN];
};

int str2num(const char *str);
int char2int(char c);
int string2byte(const char *str, u_char *dst);
int badip(char *addr);
int badip6(char *addr6);
u_char *getaesabyname(const char *ip6atmpathconf, char *name);
char *getipbyname(const char *ip6atmpathconf, char *name);
char *getipbyesi(const char *ipatmpathconf, u_char *aesa);


#endif
